<mat-card class="task" [ngClass]="getTaskStyle(task.type.key)">
    <mat-card-header>
      <mat-card-title>{{task.title}}</mat-card-title>
      <mat-card-subtitle class="task__data">
        <p>
          Start: <strong>{{task.start | date }}</strong>
        </p>
        <p>
          End: <strong>{{task.end | date }}</strong>
        </p>
      </mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <p>
        {{task.description}}
      </p>
    </mat-card-content>
    <mat-card-actions class="card__actions">
      <button mat-icon-button aria-label="Edit" (click)="onEditTask()">
        <mat-icon>edit</mat-icon>
      </button>
      <button mat-icon-button aria-label="Delete" (click)="onDeleteTask()">
          <mat-icon>delete</mat-icon>
      </button>
    </mat-card-actions>
  </mat-card>
